{
	"version": "0.2.0",
	"configurations": [
		{
			"name": "Next.js: debug server-side",
			"type": "node-terminal",
			"request": "launch",
			"command": "npm run dev",
			"autoAttachChildProcesses": true,
			"resolveSourceMapLocations": [
				"${workspaceFolder}/**",
				"!**/node_modules/**"
			]
		},
		{
			"name": "Next.js: debug client-side",
			"type": "chrome",
			"request": "launch",
			"url": "https://localhost:3000",
			"webRoot": "${workspaceFolder}",
			"timeout": 60000
		},
		{
			"name": "Full Stack Debug",
			"type": "node-terminal",
			"request": "launch",
			"command": "npm run dev",
			"autoAttachChildProcesses": true,
			"resolveSourceMapLocations": [
				"${workspaceFolder}/**",
				"!**/node_modules/**"
			],
			"serverReadyAction": {
				"action": "startDebugging",
				"killOnServerStop": true,
				"pattern": "Ready.*?in.*?\\d",
				"name": "Next.js: debug client-side"
			}
		}
	]
}